Skip to main content
GET
Get appointment

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Appointment id. Get it from appointments.list.

Pattern: ^\d+$

Response

OK

id
string
required
calendarId
string
required
contactId
string
required
conversationId
string | null
required
startAt
string<date-time>
required
endAt
string<date-time>
required
inviteeTimezone
string
required
status
enum<string>
required
Available options:
scheduled,
cancelled
locationType
enum<string>
required
Available options:
inPerson,
phoneCall,
onlineMeeting
locationDetail
string | null
required
externalEventId
string | null
required
cancelledAt
string<date-time> | null
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required